Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 153656 - anaconda traceback when installing - language related
Summary: anaconda traceback when installing - language related
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-04 19:48 UTC by Orion Poplawski
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-07 16:16:16 UTC


Attachments (Terms of Use)

Description Orion Poplawski 2005-04-04 19:48:24 UTC
Description of problem:

Doing a kickstart install, get the following:

File "/usr/lib/anaconda/installclass.py", line 360 in setLanguageDefault
  id.instLanguage.setSupported(newlist)
File "/usr/lib/anaconda/language.py", line 227, in setSupported
  rpmNickList = rpmNickList + expandLangs(nick)
File "/usr/lib/anaconda/language.py", line 30, in expandLang
  if '.' in astring:
TypeError: iterable argument required

my kickstart language statements:

lang en_US
langsupport en_US C --default en_US 

Version-Release number of selected component (if applicable):
anaconda-10.2.0.37-1

How reproducible:
everytime

Comment 1 Jeremy Katz 2005-04-05 15:40:44 UTC
This is fixed in later versions of anaconda.

Comment 2 Orion Poplawski 2005-04-05 15:48:51 UTC
New error with today's:

File "/usr/lib/anaconda/installclass.py", line 365 in setLanguageDefault
  id.instLanguage.setDefault(default)
File "/usr/lib/anaconda/language.py", line 205, in setDefault
  self.info['SYSFONT'] = self.localeInfo[nick][2]
KeyError: 'en_US'


Comment 3 Chris Lumens 2005-04-05 18:17:14 UTC
Fixed again in rawhide.  Let's see if I can not break this again.

Comment 4 Orion Poplawski 2005-04-07 16:16:16 UTC
Works now.  Thanks!


Note You need to log in before you can comment on or make changes to this bug.